Feature: Create a git repo
  As a lead devepoer
  In order to work on my new project
  I want my project folder to contain a git repo correctly initialised

  @announce
  Scenario: Create a new git repo on a folder with just a .gitignore
    Given a directory named "my_project"
    When I successfully run `fwt git new my_project`
    Then an initialized git repository should exists inside a directory named "my_project"
    And a file named "my_project/.gitignore" should exist

  Scenario: Fail to create a git repo because one exists already
    Given a directory named "my_project"
    Given an initialized git repository inside a directory named "my_project"
    Given a valid .gitignore file exists inside a directory named "my_project"
    When I run `fwt git new my_project`
    Then the stderr should contain:
    """
    There's already a repository at path
    """
