require 'aruba/api'
require 'aruba-doubles'

Given /^I'm using a clean gemset "([^"]*)" containing fwtoolkit.gem$/ do |gemset|
  use_clean_gemset(gemset)
  # Copying over the bundle generated cache to avoid failing a test for a network timeout
  FileUtils.cp_r 'vendor/cache', File.join(ENV['GEM_HOME'], 'cache')
  run_simple("sh -c 'cd ../..; gem build ./fwtoolkit.gemspec; gem install --no-ri --no-rdoc fwtoolkit-*.gem; rm fwtoolkit-*.gem'")
end


