require 'fwtoolkit/rake/tasks/project'
require 'support/ctx_rake'
require 'rake'

require 'support/aruba-doubles-rspec'
require 'support/double_helper'


describe 'test' do
  let!(:cmd_double) { ArubaDoublesSupport.new }

  before :each do
     cmd_double.setup
   end

   after :each do
     cmd_double.teardown
   end

  describe 'project:update' do
    include_context 'rake'

    it 'runs the project update task on fwt' do
      FWToolkit::Rake::ProjectTask.new
      invoke_and_expect_cmd "fwt proj update"
    end
  end
end
