Feature: Create a new FW's project
    As a lead developer
    I want to use fwt to create a new project
    So that the project folder has everything I need in terms of rvm/ci/xcode settings

  Background: 
    Given a configured installation of FWToolkit for "Tom the Dev" working for "Awesome Company"
    
  @announce
  @wip @slow
  Scenario: Create a new project
    Given I'm using a clean gemset "fwtoolkit_test" containing fwtoolkit.gem
    #Creating the xcode project it's been done on xcode.feature
    And I double `bundle`
    And I double `rvm`
		And I double `gem`
		And I double `pod`
    When I run `fwt proj new MyProject AAA` interactively
    And I wait for output to contain "I found more than one target in this project. Which is the main app target that you wish to Frankify"
    And I type "1"
    Then the following files should exist:
        | MyProject/Podfile |
    And the double `pod install` should have been run
    And the double `rvm 1.9.3 do rvm --rvmrc --create ruby-1.9.3@MyProject` should have been run

