require 'aruba-doubles'
require 'rspec'

class ArubaDoublesSupport
  include ArubaDoubles
  include RSpec::Core::DSL

  def setup
    ArubaDoubles::Double.setup
  end

  def teardown
    ArubaDoubles::Double.teardown
    history.clear
  end

  def has_run?(cmd)
    history.include? cmd.shellsplit
  end
end

