require "rake"

shared_context "rake" do
  let(:rake)      { Rake::Application.new }
  let(:task_name) { self.class.parent_groups.first.description }
  let(:task_path) { "#{task_name.split(":").first}" }
  subject         { rake[task_name] }

  def loaded_files_excluding_current_rake_file
    $".reject {|file| file == File.join(File.dirname(__FILE__), "../rake/tasks", :task_path) }
  end

  before do
    # rake.rake_require "../rake/test", [ File.dirname(__FILE__) ], loaded_files_excluding_current_rake_file
    # rake.load_tasks
    Rake.application = rake
    # load "fwtoolkit/rake/tasks/#{task_path}.rb"

    # Object::const_get(:FWToolkit).const_get(:Rake).const_get("#{task_path.capitalize}Task".to_sym).new
    # rake.rake_require("../rake/tasks/#{task_path}", [File.dirname(__FILE__)], loaded_files_excluding_current_rake_file)

  end
end
